<?php

namespace App\Classes\Modules\Segments\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Segments\DataTransferObjects\SegmentObject;

class CanListSegments extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        return true;
    }

    /**
     * @param SegmentObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param SegmentObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
